<?php

namespace ScopedGtbabel\Matrix\Decomposition;

use ScopedGtbabel\Matrix\Exception;
use ScopedGtbabel\Matrix\Matrix;
class Decomposition
{
    const LU = 'LU';
    const QR = 'QR';
    /**
     * @throws Exception
     */
    public static function decomposition($type, \ScopedGtbabel\Matrix\Matrix $matrix)
    {
        switch (\strtoupper($type)) {
            case self::LU:
                return new \ScopedGtbabel\Matrix\Decomposition\LU($matrix);
            case self::QR:
                return new \ScopedGtbabel\Matrix\Decomposition\QR($matrix);
            default:
                throw new \ScopedGtbabel\Matrix\Exception('Invalid Decomposition');
        }
    }
}
