<?php

namespace ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Financial\Securities;

use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Exception;
use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Financial\FinancialValidations;
use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions;
class SecurityValidations extends \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Financial\FinancialValidations
{
    /**
     * @param mixed $issue
     */
    public static function validateIssueDate($issue) : float
    {
        return self::validateDate($issue);
    }
    /**
     * @param mixed $settlement
     * @param mixed $maturity
     */
    public static function validateSecurityPeriod($settlement, $maturity) : void
    {
        if ($settlement >= $maturity) {
            throw new \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Exception(\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions::NAN());
        }
    }
    /**
     * @param mixed $redemption
     */
    public static function validateRedemption($redemption) : float
    {
        $redemption = self::validateFloat($redemption);
        if ($redemption <= 0.0) {
            throw new \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Exception(\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions::NAN());
        }
        return $redemption;
    }
}
