<?php

namespace ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\LookupRef;

use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Calculation;
use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions;
use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\Cell;
class Formula
{
    /**
     * FORMULATEXT.
     *
     * @param mixed $cellReference The cell to check
     * @param Cell $pCell The current cell (containing this formula)
     *
     * @return string
     */
    public static function text($cellReference = '', ?\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\Cell $pCell = null)
    {
        if ($pCell === null) {
            return \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions::REF();
        }
        \preg_match('/^' . \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Calculation::CALCULATION_REGEXP_CELLREF . '$/i', $cellReference, $matches);
        $cellReference = $matches[6] . $matches[7];
        $worksheetName = \trim($matches[3], "'");
        $worksheet = !empty($worksheetName) ? $pCell->getWorksheet()->getParent()->getSheetByName($worksheetName) : $pCell->getWorksheet();
        if ($worksheet === null || !$worksheet->cellExists($cellReference) || !$worksheet->getCell($cellReference)->isFormula()) {
            return \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions::NA();
        }
        return $worksheet->getCell($cellReference)->getValue();
    }
}
