<?php

namespace ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\LookupRef;

use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Exception;
use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions;
class LookupRefValidations
{
    /**
     * @param mixed $value
     */
    public static function validateInt($value) : int
    {
        if (!\is_numeric($value)) {
            if (\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions::isError($value)) {
                throw new \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Exception($value);
            }
            throw new \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Exception(\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions::VALUE());
        }
        return (int) \floor((float) $value);
    }
    /**
     * @param mixed $value
     */
    public static function validatePositiveInt($value, bool $allowZero = \true) : int
    {
        $value = self::validateInt($value);
        if ($allowZero === \false && $value <= 0 || $value < 0) {
            throw new \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Exception(\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions::VALUE());
        }
        return $value;
    }
}
