<?php

namespace ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\TextData;

use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions;
use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Shared\StringHelper;
class CaseConvert
{
    /**
     * LOWERCASE.
     *
     * Converts a string value to upper case.
     *
     * @param mixed $mixedCaseValue The string value to convert to lower case
     */
    public static function lower($mixedCaseValue) : string
    {
        $mixedCaseValue = \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions::flattenSingleValue($mixedCaseValue);
        $mixedCaseValue = \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\TextData\Helpers::extractString($mixedCaseValue);
        return \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Shared\StringHelper::strToLower($mixedCaseValue);
    }
    /**
     * UPPERCASE.
     *
     * Converts a string value to upper case.
     *
     * @param mixed $mixedCaseValue The string value to convert to upper case
     */
    public static function upper($mixedCaseValue) : string
    {
        $mixedCaseValue = \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions::flattenSingleValue($mixedCaseValue);
        $mixedCaseValue = \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\TextData\Helpers::extractString($mixedCaseValue);
        return \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Shared\StringHelper::strToUpper($mixedCaseValue);
    }
    /**
     * PROPERCASE.
     *
     * Converts a string value to proper or title case.
     *
     * @param mixed $mixedCaseValue The string value to convert to title case
     */
    public static function proper($mixedCaseValue) : string
    {
        $mixedCaseValue = \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\Functions::flattenSingleValue($mixedCaseValue);
        $mixedCaseValue = \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Calculation\TextData\Helpers::extractString($mixedCaseValue);
        return \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Shared\StringHelper::strToTitle($mixedCaseValue);
    }
}
