<?php

namespace ScopedGtbabel\PhpOffice\PhpSpreadsheet;

use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\Coordinate;
use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;
class NamedRange extends \ScopedGtbabel\PhpOffice\PhpSpreadsheet\DefinedName
{
    /**
     * Create a new Named Range.
     */
    public function __construct(string $name, ?\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet $worksheet = null, string $range = 'A1', bool $localOnly = \false, ?\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet $scope = null)
    {
        if ($worksheet === null && $scope === null) {
            throw new \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Exception('You must specify a worksheet or a scope for a Named Range');
        }
        parent::__construct($name, $worksheet, $range, $localOnly, $scope);
    }
    /**
     * Get the range value.
     */
    public function getRange() : string
    {
        return $this->value;
    }
    /**
     * Set the range value.
     */
    public function setRange(string $range) : self
    {
        if (!empty($range)) {
            $this->value = $range;
        }
        return $this;
    }
    public function getCellsInRange() : array
    {
        $range = $this->value;
        if (\substr($range, 0, 1) === '=') {
            $range = \substr($range, 1);
        }
        return \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\Coordinate::extractAllCellReferencesInRange($range);
    }
}
