<?php

namespace ScopedGtbabel\PhpOffice\PhpSpreadsheet\Reader\Xml\Style;

use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment as AlignmentStyles;
use SimpleXMLElement;
class Alignment extends \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Reader\Xml\Style\StyleBase
{
    protected const VERTICAL_ALIGNMENT_STYLES = [\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_BOTTOM, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_TOP, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_JUSTIFY];
    protected const HORIZONTAL_ALIGNMENT_STYLES = [\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_GENERAL, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_RIGHT, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER_CONTINUOUS, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_JUSTIFY];
    public function parseStyle(\SimpleXMLElement $styleAttributes) : array
    {
        $style = [];
        foreach ($styleAttributes as $styleAttributeKey => $styleAttributeValue) {
            $styleAttributeValue = (string) $styleAttributeValue;
            switch ($styleAttributeKey) {
                case 'Vertical':
                    if (self::identifyFixedStyleValue(self::VERTICAL_ALIGNMENT_STYLES, $styleAttributeValue)) {
                        $style['alignment']['vertical'] = $styleAttributeValue;
                    }
                    break;
                case 'Horizontal':
                    if (self::identifyFixedStyleValue(self::HORIZONTAL_ALIGNMENT_STYLES, $styleAttributeValue)) {
                        $style['alignment']['horizontal'] = $styleAttributeValue;
                    }
                    break;
                case 'WrapText':
                    $style['alignment']['wrapText'] = \true;
                    break;
                case 'Rotate':
                    $style['alignment']['textRotation'] = $styleAttributeValue;
                    break;
            }
        }
        return $style;
    }
}
