<?php

namespace ScopedGtbabel\PhpOffice\PhpSpreadsheet\RichText;

use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Font;
class Run extends \ScopedGtbabel\PhpOffice\PhpSpreadsheet\RichText\TextElement implements \ScopedGtbabel\PhpOffice\PhpSpreadsheet\RichText\ITextElement
{
    /**
     * Font.
     *
     * @var Font
     */
    private $font;
    /**
     * Create a new Run instance.
     *
     * @param string $text Text
     */
    public function __construct($text = '')
    {
        parent::__construct($text);
        // Initialise variables
        $this->font = new \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Font();
    }
    /**
     * Get font.
     *
     * @return null|\PhpOffice\PhpSpreadsheet\Style\Font
     */
    public function getFont()
    {
        return $this->font;
    }
    /**
     * Set font.
     *
     * @param Font $font Font
     *
     * @return $this
     */
    public function setFont(?\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Font $font = null)
    {
        $this->font = $font;
        return $this;
    }
    /**
     * Get hash code.
     *
     * @return string Hash code
     */
    public function getHashCode()
    {
        return \md5($this->getText() . $this->font->getHashCode() . __CLASS__);
    }
}
