<?php

namespace ScopedGtbabel\PhpOffice\PhpSpreadsheet\Writer\Xls;

use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation;
class CellDataValidation
{
    /**
     * @var array<string, int>
     */
    protected static $validationTypeMap = [\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::TYPE_NONE => 0x0, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::TYPE_WHOLE => 0x1, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::TYPE_DECIMAL => 0x2, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::TYPE_LIST => 0x3, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::TYPE_DATE => 0x4, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::TYPE_TIME => 0x5, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::TYPE_TEXTLENGTH => 0x6, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::TYPE_CUSTOM => 0x7];
    /**
     * @var array<string, int>
     */
    protected static $errorStyleMap = [\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::STYLE_STOP => 0x0, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::STYLE_WARNING => 0x1, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::STYLE_INFORMATION => 0x2];
    /**
     * @var array<string, int>
     */
    protected static $operatorMap = [\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::OPERATOR_BETWEEN => 0x0, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::OPERATOR_NOTBETWEEN => 0x1, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::OPERATOR_EQUAL => 0x2, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::OPERATOR_NOTEQUAL => 0x3, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::OPERATOR_GREATERTHAN => 0x4, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::OPERATOR_LESSTHAN => 0x5, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::OPERATOR_GREATERTHANOREQUAL => 0x6, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::OPERATOR_LESSTHANOREQUAL => 0x7];
    public static function type(\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation $dataValidation) : int
    {
        $validationType = $dataValidation->getType();
        if (\is_string($validationType) && \array_key_exists($validationType, self::$validationTypeMap)) {
            return self::$validationTypeMap[$validationType];
        }
        return self::$validationTypeMap[\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::TYPE_NONE];
    }
    public static function errorStyle(\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation $dataValidation) : int
    {
        $errorStyle = $dataValidation->getErrorStyle();
        if (\is_string($errorStyle) && \array_key_exists($errorStyle, self::$errorStyleMap)) {
            return self::$errorStyleMap[$errorStyle];
        }
        return self::$errorStyleMap[\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::STYLE_STOP];
    }
    public static function operator(\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation $dataValidation) : int
    {
        $operator = $dataValidation->getOperator();
        if (\is_string($operator) && \array_key_exists($operator, self::$operatorMap)) {
            return self::$operatorMap[$operator];
        }
        return self::$operatorMap[\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Cell\DataValidation::OPERATOR_BETWEEN];
    }
}
