<?php

namespace ScopedGtbabel\PhpOffice\PhpSpreadsheet\Writer\Xls\Style;

use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment;
class CellAlignment
{
    /**
     * @var array<string, int>
     */
    private static $horizontalMap = [\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_GENERAL => 0, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_LEFT => 1, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_RIGHT => 3, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER => 2, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER_CONTINUOUS => 6, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_JUSTIFY => 5];
    /**
     * @var array<string, int>
     */
    private static $verticalMap = [\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_BOTTOM => 2, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_TOP => 0, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER => 1, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_JUSTIFY => 3];
    public static function horizontal(\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment $alignment) : int
    {
        $horizontalAlignment = $alignment->getHorizontal();
        if (\is_string($horizontalAlignment) && \array_key_exists($horizontalAlignment, self::$horizontalMap)) {
            return self::$horizontalMap[$horizontalAlignment];
        }
        return self::$horizontalMap[\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_GENERAL];
    }
    public static function wrap(\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment $alignment) : int
    {
        $wrap = $alignment->getWrapText();
        return $wrap === \true ? 1 : 0;
    }
    public static function vertical(\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment $alignment) : int
    {
        $verticalAlignment = $alignment->getVertical();
        if (\is_string($verticalAlignment) && \array_key_exists($verticalAlignment, self::$verticalMap)) {
            return self::$verticalMap[$verticalAlignment];
        }
        return self::$verticalMap[\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_BOTTOM];
    }
}
