<?php

namespace ScopedGtbabel\PhpOffice\PhpSpreadsheet\Writer\Xls\Style;

use ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border;
class CellBorder
{
    /**
     * @var array<string, int>
     */
    protected static $styleMap = [\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_NONE => 0x0, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN => 0x1, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUM => 0x2, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_DASHED => 0x3, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_DOTTED => 0x4, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THICK => 0x5, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_DOUBLE => 0x6, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_HAIR => 0x7, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUMDASHED => 0x8, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_DASHDOT => 0x9, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUMDASHDOT => 0xa, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_DASHDOTDOT => 0xb, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_MEDIUMDASHDOTDOT => 0xc, \ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_SLANTDASHDOT => 0xd];
    public static function style(\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border $border) : int
    {
        $borderStyle = $border->getBorderStyle();
        if (\is_string($borderStyle) && \array_key_exists($borderStyle, self::$styleMap)) {
            return self::$styleMap[$borderStyle];
        }
        return self::$styleMap[\ScopedGtbabel\PhpOffice\PhpSpreadsheet\Style\Border::BORDER_NONE];
    }
}
